//
//  MUPushManager.m
//  u_push_plugin
//
//  Created by yunxi on 2020/9/8.
//

#import "MUPushManager.h"
#import <UMPush/UMessage.h>
#import <UMCommon/UMCommon.h>


@implementation MUPushManager

+ (void)UMInit:(NSDictionary *_Nullable)launchOptions appkey:(NSString *)appkey channel:(NSString *)channel logEnabled:(BOOL)logEnabled pushEnabled:(BOOL)pushEnabled{
    
    //设置是否输出
    [UMConfigure setLogEnabled:logEnabled];
    //注册appkey和渠道标识
    [UMConfigure initWithAppkey:appkey channel:channel];
    
//    UMessage registerDeviceToken:<#(NSData * _Nullable)#>

    
    [UNUserNotificationCenter currentNotificationCenter].delegate = self;
    
}


+(void)registerDeviceToken: (NSData * _Nullable) deviceToken{
    [UMessage registerDeviceToken:deviceToken];
}


@end
