/**
 *
 * @ProjectName:    u_push_plugin
 * @ClassName:      data
 * @Description:    dart文件描述
 * @Author:         孙浩
 * @QQ:             243280864
 * @CreateDate:     2020/9/8 18:35
 */
class LoginData extends BaseMessageData {
  int code;
  String message;

  LoginData(Map mapData) : super(mapData);

  @override
  void createDataByMap(Map<dynamic, dynamic> mapData) {
    code = mapData["code"];
    message = mapData["value"];
  }
}


abstract class BaseMessageData {
  BaseMessageData(Map<dynamic, dynamic> mapData) {
    createDataByMap(mapData);
  }

  void createDataByMap(Map<dynamic, dynamic> mapData);
}
